- API reference
- Amazon SNS Notifications
- Get a specific Amazon SNS channel
GET
https://api.us.nylas.com/v3/channels/sns/{id}Get a specific Amazon SNS channel
Get a specific Amazon SNS notification channel from a specific Nylas application.
NYLAS API KEY
Example:
"Production SNS channel for Event updates"trigger_typesarray<string>The event that triggers the notification. See the notification schemas for details about each trigger type.
See the Grants, Calendar, Events, and Messages references for information on how to trigger each event type.
Example:
"arn:aws:sns:us-east-1:123456789012:my-topic"Example:
"arn:aws:iam::123456789012:role/nylas-sns-role"notification_email_addressesarray<string>The email addresses that Nylas notifies if delivery to the Amazon SNS channel fails.
Example:
["[email protected]","[email protected]"]compressed_deliverybooleanIf true, Nylas gzip-compresses and then base64-encodes notification payloads before delivering them.
Example:
falsestatus_updated_atintegerThe time the status field was last updated, represented as a Unix timestamp in seconds.
Example:
1234567890